[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#476578: marked as done (php5-idn: php5 segfaults on excessive use of idn_to_ascii)



Your message dated Mon, 11 Apr 2011 09:10:14 +0000
with message-id <E1Q9D8Q-0000We-Ja@franck.debian.org>
and subject line Bug#622193: Removed package(s) from unstable
has caused the Debian Bug report #476578,
regarding php5-idn: php5 segfaults on excessive use of idn_to_ascii
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
476578: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476578
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: php5-idn
Version: 1.2b-5.2
Severity: grave

In a script analysing domain names translating them to ascii using the idn_to_ascii function, php5 segfaults
after about 11 minutes of excessive use of the function (100 invokes/sec).

Hope this backtrace is useful.

#0  0x00002b4da1813090 in strlen () from /lib/libc.so.6
#1  0x00002b4da53b5199 in zif_idn_to_ascii () from /usr/lib/php5/20060613/idn.so
#2  0x0000000000682962 in ?? ()
#3  0x0000000000673873 in execute ()
#4  0x00000000006540b3 in zend_execute_scripts ()
#5  0x000000000061089d in php_execute_script ()
#6  0x00000000006dd8d7 in main ()


cheers

-- System Information:
Debian Release: lenny/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'proposed-updates'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.18-6-xen-amd64 (SMP w/3 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages php5-idn depends on:
ii  debconf [debconf-2.0]         1.5.20     Debian configuration management sy
ii  libapache2-mod-php5 [phpapi-2 5.2.5-3    server-side, HTML-embedded scripti
ii  libc6                         2.7-10     GNU C Library: Shared libraries
ii  libidn11                      1.6-1      GNU libidn library, implementation
ii  php5-cli [phpapi-20060613]    5.2.5-3    command-line interpreter for the p
ii  ucf                           3.006      Update Configuration File: preserv

php5-idn recommends no packages.

-- debconf information:
  php5/add_extension: false



--- End Message ---
--- Begin Message ---
Version: 1.2b-6+rm

Dear submitter,

as the package php-idn has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/622193

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)


--- End Message ---

Reply to: